## cairo-dock-plug-ins 2.3.0~1

=== CMakeLists.txt ===
########### requirements ###############

cmake_minimum_required (VERSION 2.6)
find_package (PkgConfig)
include (CheckLibraryExists)
include (CheckIncludeFiles)
include (CheckFunctionExists)
include (CheckSymbolExists)

########### project ###############

project ("cairo-dock-plugins")
set (VERSION "2.3.0~1")

add_definitions (-std=c99 -Wstrict-prototypes -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration) #-Wunreachable-code -Wno-unused-parameter -Wall
if (NOT ${CMAKE_BUILD_TYPE})
	add_definitions (-O3)
endif()
add_definitions (-DGL_GLEXT_PROTOTYPES="1")

############ sources tarball #############

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
set (CPACK_SOURCE_IGNORE_FILES 
	"/build/;/.bzr/;bzrignore$;/misc/;~$;${CPACK_SOURCE_IGNORE_FILES}")
include (CPack)

add_custom_target( dist
	COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
add_custom_target(dist-bzr
	COMMAND bzr export ${CMAKE_PROJECT_NAME}-${VERSION}.tar.gz
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

############ uninstall #############

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)
add_custom_target (uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

########### global variables ###############

if( WIN32 )
	message(FATAL_ERROR "Cairo-Dock requires an air-conditioned room. Please close Windows!")
endif( WIN32 )

set (PACKAGE ${CMAKE_PROJECT_NAME})
set (GETTEXT_PACKAGE ${PACKAGE})

# get plug-ins install dir
execute_process(
    COMMAND pkg-config cairo-dock --variable=pluginsdir		# /usr/lib/cairo-dock
    OUTPUT_VARIABLE pluginsdir)
STRING (REGEX REPLACE "\n" "" pluginsdir ${pluginsdir})  # la commande rajoute un retour chariot ...
# get plug-ins data dir
execute_process(
    COMMAND pkg-config cairo-dock --variable=pluginsdatadir	# /usr/share/cairo-dock/plug-ins
    OUTPUT_VARIABLE pluginsdatadir)
STRING (REGEX REPLACE "\n" "" pluginsdatadir ${pluginsdatadir})
# check that version matches with the core
execute_process(
    COMMAND pkg-config --modversion cairo-dock			# 2.2.0-3
    OUTPUT_VARIABLE dock_version)
STRING (REGEX REPLACE "\n" "" dock_version ${dock_version})
if (NOT "${dock_version}" STREQUAL "${VERSION}")		# Version
	MESSAGE (FATAL_ERROR "warning : version mismatch with the core : " ${VERSION} <> ${dock_version})
endif()

#if( CMAKE_SIZEOF_VOID_P EQUAL 8 AND NOT "${FORCE_LIB64}" STREQUAL "")  # 64bits and force install in lib64
#	set (libname "lib64")
#else()
#	set (libname "lib${LIB_SUFFIX}")
#endif()
#set (libdir "${CMAKE_INSTALL_PREFIX}/${libname}/cairo-dock")	# /usr/lib

# check that installation dir matches with the core
GET_FILENAME_COMPONENT(libdir "${pluginsdir}/.." ABSOLUTE)  # /usr/lib
GET_FILENAME_COMPONENT(prefix "${pluginsdir}/../.." ABSOLUTE)  # /usr
if (NOT "${CMAKE_INSTALL_PREFIX}" STREQUAL "${prefix}")
	message (STATUS "Warning : plug-ins should be installed in the same directory as the core, that is to say in ${pluginsdir}")
	set (CMAKE_INSTALL_PREFIX "${prefix}")
	#set (libdir "${CMAKE_INSTALL_PREFIX}/${libname}/cairo-dock")
endif()

# set internationalisation
set (GETTEXT_PLUGINS "cairo-dock-plugins")
set (localedir "${CMAKE_INSTALL_PREFIX}/share/locale")
set (gaugesdir "${CMAKE_INSTALL_PREFIX}/share/cairo-dock/gauges")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_modules/")  # additionnal FindPackage files

########### dependancies ###############

message ("")
message (STATUS "=====================")
message (STATUS "Check dependancies...")
message (STATUS "=====================")
message ("")

pkg_check_modules ("PACKAGE" REQUIRED "gtk+-2.0" "gthread-2.0" "cairo" "librsvg-2.0" "dbus-1" "dbus-glib-1" "libxml-2.0" "gtkglext-1.0" "cairo-dock")

#############    GLIB    #################
pkg_check_modules (GLIB glib-2.0)
	STRING (REGEX REPLACE "\\..*" "" GLIB_MAJOR "${GLIB_VERSION}") # 2.28.3 => 2
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" GLIB_MINOR "${GLIB_VERSION}")  # 2.28.3 => 2.28
	STRING (REGEX REPLACE "\\.[0-9]*" "" GLIB_MINOR "${GLIB_MINOR}") # 2.28 => 28
	STRING (REGEX REPLACE ".*\\." "" GLIB_NANO "${GLIB_VERSION}") # 2.28.3 => 3
	STRING (REGEX REPLACE "-.*" "" GLIB_NANO "${GLIB_NANO}")

############# ALSA_MIXER #################
set (with_alsa "no")
if (NOT "${enable-alsa-mixer}" STREQUAL "no")
	pkg_check_modules (ALSA_MIXER_PACKAGE alsa)
	if ("${ALSA_MIXER_PACKAGE_FOUND}" STREQUAL "")
		message (STATUS "Could not find alsa; Cairo-Dock won't be built with AlsaMixer applet.")
	else()
		set (GETTEXT_ALSA_MIXER ${GETTEXT_PLUGINS})
		set (VERSION_ALSA_MIXER "1.0.12")
		set (PACKAGE_ALSA_MIXER "cd-AlsaMixer")
		set (with_alsa "yes")
		set (alsa_mixerdatadir "${pluginsdatadir}/AlsaMixer")
		configure_file (${CMAKE_CURRENT_SOURCE_DIR}/alsaMixer/data/AlsaMixer.conf.in ${CMAKE_CURRENT_BINARY_DIR}/alsaMixer/data/AlsaMixer.conf)
		add_subdirectory ("alsaMixer")
	endif()
endif()

############# ANIMATED ICONS #################
set (GETTEXT_ANIMATED_ICONS ${GETTEXT_PLUGINS})
set (VERSION_ANIMATED_ICONS "1.0.10")
set (PACKAGE_ANIMATED_ICONS "cd-Animated-icons")
set (animated_iconsdatadir "${pluginsdatadir}/Animated-icons")
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/Animated-icons/data/Animated-icons.conf.in ${CMAKE_CURRENT_BINARY_DIR}/Animated-icons/data/Animated-icons.conf)
add_subdirectory (Animated-icons)

############# CAIRO_PENGUIN #################
set (GETTEXT_CAIRO_PENGUIN ${GETTEXT_PLUGINS})
set (VERSION_CAIRO_PENGUIN "1.1.8")
set (PACKAGE_CAIRO_PENGUIN "cd-Cairo-Penguin")
set (cairo_penguinuserdirname "Cairo-Penguin")
set (cairo_penguindatadir "${pluginsdatadir}/Cairo-Penguin")
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/Cairo-Penguin/data/Cairo-Penguin.conf.in ${CMAKE_CURRENT_BINARY_DIR}/Cairo-Penguin/data/Cairo-Penguin.conf)
add_subdirectory (Cairo-Penguin)

############# CLIPPER #################
set (GETTEXT_CLIPPER ${GETTEXT_PLUGINS})
set (VERSION_CLIPPER "1.1.4")
set (PACKAGE_CLIPPER "cd-Clipper")
set (Clipperdatadir "${pluginsdatadir}/Clipper")
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/Clipper/data/Clipper.conf.in ${CMAKE_CURRENT_BINARY_DIR}/Clipper/data/Clipper.conf)
add_subdirectory (Clipper)

############# CLOCK #################
set (with_ical "yes")
pkg_check_modules ("LIBICAL_PACKAGE" "libical")
if ("${LIBICAL_PACKAGE_FOUND}" STREQUAL "")
	set (with_ical "no")
	message (STATUS "Could not find libical; Clock plugin won't be built with iCal support.")
endif()
set (GETTEXT_CLOCK ${GETTEXT_PLUGINS})
set (VERSION_CLOCK "2.1.2")
set (PACKAGE_CLOCK "cd-clock")
set (clockuserdirname "clock")
set (clockdatadir "${pluginsdatadir}/clock")
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/clock/data/clock.conf.in ${CMAKE_CURRENT_BINARY_DIR}/clock/data/clock.conf)
add_subdirectory (clock)

############# COMPIZ_ICON #################
set (GETTEXT_COMPIZ_ICON ${GETTEXT_PLUGINS})
set (VERSION_COMPIZ_ICON "1.1.6")
set (PACKAGE_COMPIZ_ICON "cd-compiz-icon")
set (compiz_icondatadir "${pluginsdatadir}/compiz-icon")
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/compiz-icon/data/compiz-icon.conf.in ${CMAKE_CURRENT_BINARY_DIR}/compiz-icon/data/compiz-icon.conf)
add_subdirectory (compiz-icon)

############# DBUS #################
find_program (PYTHON_EXECUTABLE python)
EXECUTE_PROCESS(COMMAND ${PYTHON_EXECUTABLE} -c "import sys; print sys.version" OUTPUT_VARIABLE PYTHON_VERSION)
if ("${PYTHON_VERSION}" STREQUAL "") 
	message (STATUS "Could not find Python, won't install Python interface.") 
	set (with_python "no") 
else() 
	STRING (REGEX REPLACE "\n" "" PYTHON_VERSION ${PYTHON_VERSION})
	message (STATUS "Python Version: ${PYTHON_VERSION}") 
	GET_FILENAME_COMPONENT(DEBIAN_VERSION /etc/debian_version ABSOLUTE) 
	if (EXISTS ${DEBIAN_VERSION}) 
		message (STATUS "  will use '--install-layout deb' with 'python setup.py install'") 
		set (DEBIAN_INSTALL_LAYOUT "--install-layout deb")
	endif()
	set (PYTHON_FOUND "TRUE")
	set (with_python "yes") 
endif()

# find_package(Ruby) found libs of ruby-dev but we only need a directory where we can install ruby libs.
find_program (RUBY_EXECUTABLE ruby)
EXECUTE_PROCESS(COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print Config::CONFIG['rubylibdir']"
	OUTPUT_VARIABLE RUBY_LIB_DIR)
message (STATUS "RUBY_LIBRARY: ${RUBY_LIB_DIR}")
if ("${RUBY_LIB_DIR}" STREQUAL "" OR "${RUBY_LIB_DIR}" STREQUAL "nil")
	message (STATUS "Could not find ruby libs, won't install Ruby interface.")
	set (with_ruby "no")
else()
	string (REGEX REPLACE "lib/ruby/[0-9].[0-9]" "" RUBY_LIB_DIR_INSTALL "${RUBY_LIB_DIR}")
	string (REGEX REPLACE "${RUBY_LIB_DIR_INSTALL}" "" RUBY_LIB_DIR_INSTALL "${RUBY_LIB_DIR}")
	set (RUBY_LIB_DIR "${CMAKE_INSTALL_PREFIX}/${RUBY_LIB_DIR_INSTALL}")
	message (STATUS "  will be installed in: ${RUBY_LIB_DIR}")
	set (RUBY_FOUND "TRUE")
	set (with_ruby "yes")
endif()

#find_package (Mono)
find_program (GMCS_EXECUTABLE gmcs)
if ("${GMCS_EXECUTABLE}" STREQUAL "" OR NOT EXISTS ${GMCS_EXECUTABLE})
	message (STATUS "Could not find Mono compiler gmcs, won't build Mono interface.")
	set (with_mono "no")
else()
	set (MONO_FOUND "TRUE")
	pkg_check_modules (MONO_PACKAGE glib-sharp-2.0 ndesk-dbus-1.0 ndesk-dbus-glib-1.0)
	if ("${MONO_PACKAGE_FOUND}" STREQUAL "")
		message (STATUS "Could not find glib-sharp-2.0, ndesk-dbus-1.0 or ndesk-dbus-glib-1.0; won't be built Mono interface.")
		set (with_mono "no")
	else()
		set (with_mono "yes")
	endif()
endif()

# Valac is only riquired to convert vala files to C files.
#  So we can directly use produced files (c, h, vapi) without using valac.
set (with_vala "yes")
set (with_valac "no")
find_program (VALAC_EXE valac)
message (STATUS "VALAC_EXE: ${VALAC_EXE}")

if ("${WITH_VALA}" STREQUAL "no")
	set (with_vala "no")
# >= Glib 2.26
elseif (${GLIB_MAJOR} LESS 3 AND ${GLIB_MINOR} LESS 26)
	set (with_vala "no")
elseif (NOT "${VALAC_EXE}" STREQUAL "VALAC_EXE-NOTFOUND") # now it works with 0.10 and 0.11 (= next 0.12)
	execute_process(COMMAND ${VALAC_EXE} "--version"
		OUTPUT_VARIABLE "VALA_VERSION")
	string(REPLACE "Vala" "" "VALA_VERSION" ${VALA_VERSION})
	string(STRIP ${VALA_VERSION} "VALA_VERSION")
	message (STATUS "VALA_VERSION: ${VALA_VERSION}")

	STRING (REGEX REPLACE "\\..*" "" VALA_MAJOR "${VALA_VERSION}")
	# message (STATUS "VALA_MAJOR : ${VALA_MAJOR}")
	
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" VALA_MINOR "${VALA_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" VALA_MINOR "${VALA_MINOR}")
	# message (STATUS "VALA_MINOR : ${VALA_MINOR}")

	STRING (REGEX REPLACE ".*\\." "" VALA_NANO "${VALA_VERSION}")
	STRING (REGEX REPLACE "-.*" "" VALA_NANO "${VALA_NANO}")
	# message (STATUS "VALA_NANO  : ${VALA_NANO}")

	if (${VALA_MAJOR} GREATER 0 OR ${VALA_MINOR} GREATER 9)  # vala > 0.10
		message (STATUS " Vala compiler OK (>= 0.10).")
		set (VALAC_FOUND "TRUE")
		set (with_valac "yes")
	else()
		message (STATUS "Vala compiler is too old (0.10 required), won't build Vala interface.")
	endif()
endif()


set (GETTEXT_DBUS ${GETTEXT_PLUGINS})
set (VERSION_DBUS "1.2.1")
set (PACKAGE_DBUS "cd-Dbus")
set (dbusdatadir "${pluginsdatadir}/Dbus")
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/Dbus/data/Dbus.conf.in ${CMAKE_CURRENT_BINARY_DIR}/Dbus/data/Dbus.conf)
add_subdirectory (Dbus)

############# DESKLET_RENDERING #################
set (GETTEXT_DESKLET_RENDERING ${GETTEXT_PLUGINS})
set (VERSION_DESKLET_RENDERING "1.5.6")
set (PACKAGE_DESKLET_RENDERING "cd-desklet-rendering")
set (desklet_renderingdatadir "${pluginsdatadir}/desklet-rendering")
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/desklet-rendering/data/desklet-rendering.conf.in ${CMAKE_CURRENT_BINARY_DIR}/desklet-rendering/data/desklet-rendering.conf)
add_subdirectory (desklet-rendering)

############# DIALOG_RENDERING #################
set (GETTEXT_DIALOG_RENDERING ${GETTEXT_PLUGINS})
set (VERSION_DIALOG_RENDERING "0.5.1")
set (PACKAGE_DIALOG_RENDERING "cd-dialog-rendering")
set (dialog_renderingdatadir "${pluginsdatadir}/dialog-rendering")

=== Status-Notifier/src/CMakeLists.txt ===

########### sources ###############

SET(cd-StatusNotifier_LIB_SRCS
	applet-init.c 		applet-init.h
	applet-config.c 		applet-config.h
	applet-host.c 		applet-host.h
	applet-item.c 		applet-item.h
	applet-draw.c 		applet-draw.h
	applet-notifications.c 	applet-notifications.h
	applet-struct.h
)

add_library(${PACKAGE_STATUS_NOTIFIER} SHARED ${cd-StatusNotifier_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${status_notifierdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Status-Notifier.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Status-Notifier")
add_definitions (-DMY_APPLET_VERSION="${VERSION_STATUSNOTIFIER}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_STATUSNOTIFIER}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.png")
add_definitions (-DINDICATOR_OLD_NAMES=${INDICATOR_OLD_NAMES})

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${DBUSMENU_GTK_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${DBUSMENU_GTK_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_STATUS_NOTIFIER}
	${PACKAGE_LIBRARIES}
	${DBUSMENU_GTK_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_STATUS_NOTIFIER} DESTINATION ${pluginsdir})

=== debian/changelog ===
cairo-dock-plug-ins (2.3.0~1-0ubuntu1) natty; urgency=low

  * New Upstream Version (LP: #723995)
  * Upstream short ChangeLog (since 2.3.0~0rc1):
   - Updated translations
   - Updated the integration of the new versions of kwin and compiz
      (Switcher, ShowDesktop, etc.)
   - Removed a lot of useless g_print
   - Updated a few plug-ins to fit with the new version of the API (gldit)
   - Fixed a few bugs
   - Updated MeMenu, MessagingMenu and Status-Notifier to works
      with the latest version of dbusmenu, etc.
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/cairo-dock-plug-ins.install:
   - Added new files (interfaces for python, ruby, vala and mono)
  * debian/control:
   - Added new dependences for new applets (sensors and zeitgeist)
      and new interfaces (python, valac, ruby and mono)
   - Updated the version of cairo-dock build-dependences
  * debian/rules:
   - Added a new CMake flag to install python interface in debian/tmp
  * Updated debian/watch

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Wed, 20 Apr 2011 20:46:51 +0200

cairo-dock-plug-ins (2.2.0~4-0ubuntu4) natty; urgency=low

  * debian/control:
    - Build-Depend on libwebkitgtk-dev instead of libwebkit-dev (LP: #704032)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Sat, 22 Jan 2011 01:35:50 +0200

cairo-dock-plug-ins (2.2.0~4-0ubuntu3) natty; urgency=low

  * No change rebuild for libindicator1 > libindicator2 transition

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 14 Jan 2011 17:32:25 -0600

cairo-dock-plug-ins (2.2.0~4-0ubuntu2) natty; urgency=low

  * No change rebuild for libdbusmenu-gtk1 > libdbusmenu-gtk2 transition

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 19 Dec 2010 10:43:52 +0530

cairo-dock-plug-ins (2.2.0~4-0ubuntu1) maverick; urgency=low

  * New Upstream Version (LP: #653702)
  * Fixed a few bugs:
   - All .mo files aren't installed into the right directory (LP: #653336)
   - Dbus: Fixed a crash when exiting Cairo-Dock
   - Indicator: Some modifications needed for the latest
                 version of libindicator
   - RSSreader: Prevented a crash if myDrawContext != NULL
   - Clock: Prevented a crash if myDrawContext != NULL
   - Switcher:
    - Prevented a crash if myDrawContext != NULL
    - Fixed a crash if the plugin is launched much time before the WM
   - musicPlayer:
    - Used the right image set from the config panel
    - MPRIS plugin: fixed a bug with the tracknumber
   - Systray: not drawn outside the screen.
   - tomboy: not popup a dialogue inside the screen
   - xfce-integration: displayed a window when logout applet is launched
  * debian/control:
   - Updated the version of cairo-dock-dev and cairo-dock-core

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Sat, 02 Oct 2010 20:10:47 +0200

cairo-dock-plug-ins (2.2.0~2-0ubuntu1) maverick; urgency=low

  [ Matthieu Baerts (matttbe) ]
  * New Upstream Version (LP: #638529)
  * Fixed a few bugs on LP:
   - Fixed a crash in rainbow view when the cone is completely opened
   - Fixed a crash in rainbow view if the subdock is empty
   - Installed in lib directory by default even in 64bits arch
   - Status-Notifier: fixed few bugs
   - Clock applet:
     - Notify of missed tasks (moved some functions to a new file)
     - Fixed a little memory leak
   - Removed some 'g_print' (LP: #500677: xsession-errors log)
  * Updated translations
  * debian/control
   - Updated the version of cairo-dock-dev and cairo-dock-core

  [ Didier Roche ]
  * debian/control: depends on latest libindicator-dev (LP: #637692)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Sat, 18 Sep 2010 14:20:27 +0200

cairo-dock-plug-ins (2.2.0~0rc1-0ubuntu1) maverick; urgency=low

  * New Upstream Version (LP: #632054)
  * Fixed a few bugs on LP:
   - LP: #616176 Dust Bin Hang and Incorrect Configuration
   - LP: #604034 Change terminal tab's name lost the color
   - LP: #582452 GMenu does not contain any applications
  * Fixed a few bugs on glx-dock forum:
   - Fixed support of GMusicBrowser.
   - AlsaMixer has no emblem.
   - Status-Notifier doesn't be drawed into the dock.
  * Updated translations
  * debian/control:
   - Added cairo-dock-core as build-depends in order to prevent
     some builds errors.

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 07 Sep 2010 02:38:17 +0200

cairo-dock-plug-ins (2.2.0~0beta4-0ubuntu1) maverick; urgency=low

  * New Upstream Version (LP: #614625)
  * Fixed a few bugs on LP:
   - LP: #483963: Dustbin applet does not display trashes on all volumes
   - LP: #485159: Some apps have problem with Systray
   - LP: #500677: ~/.xsession-errors is too much used by CD
   - LP: #500979: Shortcuts: the order gets messed up
   - LP: #521531: Mail: crashes on Maildir
   - LP: #519915: GTG: create a new applet to control GTG
   - LP: #526138: GMenu doesn't handle desktop file exec strings properly
   - LP: #531317: CMake: Added an error if the prefix of 'cairo-dock-plugins'
                   is not the same 'cairo-dock-core'
   - LP: #531319: CMake: check the version of 'cairo-dock' when building
                   'cairo-dock-plugins'
   - LP: #537115: Click at the position where icon lavel was, the icon
                   and dock still receive the event
   - LP: #537943: Terminal applet shortkey behaviour
   - LP: #538637: Trash applet doesn't create .trashinfo files on XFCE
   - More details on the 'ChangeLog' file
  * debian/rules:
   - Autotools has been replaced by CMake
   - cdbs is now used.
  * debian/copyright:
   - Updated with the new applets
  * debian/control:
   - Autotools has been replaced by CMake
   - Added libcurl4-gnutls-dev, libindicator-dev, libdbusmenu-glib-dev
     libido-0.1-dev, libical-dev, libdbusmenu-gtk-dev as Build-deps
   - Bump Standard-Version to 3.9.1
   - Wget is required for dnd2share applet
   - Added the exact realease for 'cairo-dock-dev' in order to prevent any
      build error if this package is not already available (thx to didrocks)


=== debian/control ===
Source: cairo-dock-plug-ins
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthieu Baerts (matttbe) <matttbe@gmail.com>, Julien Lavergne <julien.lavergne@gmail.com>, Matthew Walker <matthaeus123@gmail.com>, Fabrice Rey <fabounet@glx-dock.org>
Build-Depends: 	cdbs,
		gawk, 
		libxxf86vm-dev,
		debhelper (>= 7.2.6), 
		cmake,
		libcairo2-dev (>= 1.8.0), 
		libgtk2.0-dev (>= 2.16), 
		librsvg2-dev (>= 2.22.0),
		libdbus-glib-1-dev,
		libxml2-dev,
		libxtst-dev,
		libglib2.0-dev (>= 2.20),
		cairo-dock-dev (>= 2.3.0~0rc1),
		cairo-dock-core (>= 2.3.0~0rc1),
		cairo-dock-data (>= 2.3.0~0rc1),
		libasound2-dev,
		libvte-dev,
		x11proto-xf86vidmode-dev,
		libgnome-menu-dev,
		libgnomevfs2-dev,
		libgnomeui-dev,
		libthunar-vfs-1-dev,
		libgnome-keyring-dev,
		libgnutls-dev,
		libwebkitgtk-dev,
		libxklavier-dev,
		libexif-dev,
		libgtkglext1-dev,
		libgvfscommon-dev,
		libcurl4-gnutls-dev,
		libetpan-dev,
		libical-dev,
		libindicator-dev,
		libido-0.1-dev,
		libdbusmenu-gtk-dev,
		libdbusmenu-glib-dev,
		libsensors4-dev,
		libzeitgeist-dev,
		python,
		valac,
		ruby,
		mono-gmcs,
		libglib2.0-cil-dev,
		libndesk-dbus1.0-cil-dev,
		libndesk-dbus-glib1.0-cil-dev
Standards-Version: 3.9.1
Homepage: http://www.glx-dock.org/

Package: cairo-dock-plug-ins-integration
Section: graphics
Architecture: any
Conflicts: 	cairo-dock-plug-ins (<= 2.0.8.0)
Replaces: 	cairo-dock-plug-ins (<= 2.0.8.0)
Depends: 	cairo-dock-plug-ins-data (>= ${source:Version}),
		cairo-dock-core (>= 2.0.8.0),
		${misc:Depends}
Description: Two plug-ins for cairo-dock for a better integration in GNOME or Xfce
 Cairo-dock-plug-ins is a set of plug-ins for Cairo-dock. It provides some new 
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains two plug-ins for a better integration in GNOME or Xfce.

Package: cairo-dock-plug-ins
Section: graphics
Architecture: any
Conflicts: 	cairo-dock-plug-ins (<= 2.0.8.0)
Depends: 	cairo-dock-plug-ins-data (>= ${source:Version}),
		cairo-dock-plug-ins-integration (>= ${source:Version}),
		cairo-dock-core (>= 2.0.8.0),
		curl,
		wget,
		${shlibs:Depends}, 
		${misc:Depends}
Suggests:	compiz,
		gnote
Description: A set of plug-ins for cairo-dock
 Cairo-dock-plug-ins is a set of plug-ins for Cairo-dock. It provides some new 
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.

Package: cairo-dock-plug-ins-data
Section: graphics
Architecture: all
Conflicts: 	cairo-dock-plug-ins (<= 2.0.8.0)
Replaces: 	cairo-dock-plug-ins (<= 2.0.8.0)
Depends: 	${misc:Depends}
Description: Common files for cairo-dock-plug-ins
 Cairo-dock-plug-ins is a set of plug-ins for Cairo-dock. It provides some new 
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains all images, locales and configuration files for 
 cairo-dock-plug-ins.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DH_ALWAYS_EXCLUDE=CVS:.bzr

DEB_CMAKE_EXTRA_FLAGS += -Denable_gnome_integration=yes \
	-Denable_old_gnome_integration=no \
	-Denable_kde_integration=yes \
	-Denable_xfce_integration=yes \
	-DROOT_PREFIX=$(CURDIR)/debian/tmp

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
# include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_INSTALL_CHANGELOGS_ALL := ChangeLog

get-orig-source:
	dh_testdir
	uscan --force-download --verbose --repack

=== debian/watch ===
version=3
https://launchpad.net/cairo-dock-plug-ins/+download .*/cairo-dock-plugins-([\d\.\-]+(?:~.*)?).tar.gz

## cairo-dock-plug-ins 2.3.0~2

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ########### project ###############
 
 project ("cairo-dock-plugins")
-set (VERSION "2.3.0~1")
+set (VERSION "2.3.0~2")
 
 add_definitions (-std=c99 -Wstrict-prototypes -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration) #-Wunreachable-code -Wno-unused-parameter -Wall
 if (NOT ${CMAKE_BUILD_TYPE})
@@ -212,12 +212,12 @@
 	message (STATUS "Could not find Mono compiler gmcs, won't build Mono interface.")
 	set (with_mono "no")
 else()
-	set (MONO_FOUND "TRUE")
 	pkg_check_modules (MONO_PACKAGE glib-sharp-2.0 ndesk-dbus-1.0 ndesk-dbus-glib-1.0)
 	if ("${MONO_PACKAGE_FOUND}" STREQUAL "")
 		message (STATUS "Could not find glib-sharp-2.0, ndesk-dbus-1.0 or ndesk-dbus-glib-1.0; won't be built Mono interface.")
 		set (with_mono "no")
 	else()
+		set (MONO_FOUND "TRUE")
 		set (with_mono "yes")
 	endif()
 endif()

=== debian/changelog ===
cairo-dock-plug-ins (2.3.0~2-0ubuntu1) oneiric; urgency=low

  * New upstream release. (LP: #786105)
  * Upstream ChangeLog:
   - Fixed a typo in CMakeLists.txt about Ruby interface
   - CMakeLists.txt: Added the status of applets (stable / unstable
      / unsupported) to help packagers to not include unstable or
      unsupported applets on Cairo-Dock packages for stable distributions
  * debian/patches:
   - Added two upstream's patches:
    + to avoid a crash of u1sdtool (dnd2share)
    + to prevent a crash with Weather (LP: #788437) 
  * debian/control:
   - Removed libgvfscommon-dev (not used and no longer available)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Mon, 06 Jun 2011 12:09:47 +0200

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,6 @@
 		libxklavier-dev,
 		libexif-dev,
 		libgtkglext1-dev,
-		libgvfscommon-dev,
 		libcurl4-gnutls-dev,
 		libetpan-dev,
 		libical-dev,

## cairo-dock-plug-ins 2.3.0~3

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ########### project ###############
 
 project ("cairo-dock-plugins")
-set (VERSION "2.3.0~2")
+set (VERSION "2.3.0~3")
 
 add_definitions (-std=c99 -Wstrict-prototypes -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration) #-Wunreachable-code -Wno-unused-parameter -Wall
 if (NOT ${CMAKE_BUILD_TYPE})

=== po/CMakeLists.txt ===

find_program (MSGFMT_EXECUTABLE msgfmt)

#on cree une nouvelle cible i18n liée à la cible all.
add_custom_target (i18n ALL COMMENT “Building i18n messages.”)

# on liste tous les .po
file (GLOB PO_FILES *.po)

# on parcours cette liste.
foreach (PO_INPUT ${PO_FILES})
	get_filename_component (PO_INPUT_BASE ${PO_INPUT} NAME_WE)  # NAME Without Extension.
	if (NOT "${PO_INPUT_BASE}" STREQUAL "en_GB") # en_GB has been created only for LaunchPad translation tool
		set (MO_OUTPUT ${PO_INPUT_BASE}.gmo)  # le nom du fichier en sortie.
		message (STATUS "  Building ${MO_OUTPUT}...")
		add_custom_command (TARGET i18n COMMAND ${MSGFMT_EXECUTABLE} -o  ${CMAKE_CURRENT_BINARY_DIR}/${MO_OUTPUT} ${PO_INPUT})  # appel a msgfmt.
		install (FILES  ${CMAKE_CURRENT_BINARY_DIR}/${MO_OUTPUT} DESTINATION ${localedir}/${PO_INPUT_BASE}/LC_MESSAGES RENAME ${GETTEXT_PACKAGE}.mo)  # installation du fichier dans le bon repertoire.
	endif ()
endforeach ()

=== Dbus/src/CMakeLists.txt ===

########### sources ###############

SET (cd-Dbus_LIB_SRCS
	applet-init.c 			applet-init.h
	applet-config.c 			applet-config.h
	applet-dbus.c 			applet-dbus.h
	interface-main-methods.c 	interface-main-methods.h
	interface-applet-object.c 	interface-applet-object.h
	interface-applet-methods.c 	interface-applet-methods.h
	interface-applet-signals.c 	interface-applet-signals.h
	dbus-applet-spec.h
	dbus-sub-applet-spec.h
	dbus-main-spec.h
	applet-struct.h
)

add_library (${PACKAGE_DBUS} SHARED ${cd-Dbus_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${dbusdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="none")
add_definitions (-DMY_APPLET_CONF_FILE="Dbus.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Dbus")
add_definitions (-DMY_APPLET_VERSION="${VERSION_DBUS}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_DBUS}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")

include_directories (
	${PACKAGE_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_DBUS}
	${PACKAGE_LIBRARIES})

########### install files ###############

install (TARGETS ${PACKAGE_DBUS} DESTINATION ${pluginsdir})

=== Folders/data/CMakeLists.txt ===
########### subdirs if any ###############


########### install files ###############

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/Folders.conf
	preview.jpg
	icon.svg
	DESTINATION ${foldersdatadir})

=== Folders/src/CMakeLists.txt ===

########### sources ###############

SET(MODULE_SRCS
	applet-struct.h
	applet-init.c 				applet-init.h
	applet-config.c 			applet-config.h
	applet-load-icons.c 		applet-load-icons.h
	applet-notifications.c 		applet-notifications.h
)

add_library(${PACKAGE_FOLDERS} SHARED ${MODULE_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${foldersdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Folders.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Folders")
add_definitions (-DMY_APPLET_VERSION="${VERSION_FOLDERS}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_FOLDERS}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")
### uncomment the following line to allow extended OpenGL drawing.
#add_definitions (-DGL_GLEXT_PROTOTYPES="1")

include_directories (
	${PACKAGE_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_FOLDERS}
	${PACKAGE_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_FOLDERS} DESTINATION ${pluginsdir})

=== GMenu/data/CMakeLists.txt ===

########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/GMenu.conf
	preview.jpg
	icon.svg
	icon-recent.png
	DESTINATION ${gmenudatadir})

=== alsaMixer/data/CMakeLists.txt ===

########### install files ###############

install(FILES  ${CMAKE_CURRENT_BINARY_DIR}/AlsaMixer.conf
	default.svg
	mute.svg
	emblem-mute.svg
	broken.svg
	preview.jpg
	icon.png
	DESTINATION ${alsa_mixerdatadir})

=== compiz-icon/data/CMakeLists.txt ===

########### install files ###############

install(FILES compiz-kill compiz
	DESTINATION ${compiz_icondatadir}
	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/compiz-icon.conf
	preview.jpg
	default.svg
	broken.svg
	other.svg
	0.svg
	1.svg
	2.svg
	3.svg
	4.svg
	icon.png
	DESTINATION ${compiz_icondatadir})

=== desklet-rendering/src/CMakeLists.txt ===

########### sources ###############

SET(cd-desklet-rendering_LIB_SRCS
	rendering-init.c 				rendering-init.h
	rendering-config.c 				rendering-config.h
	rendering-desklet-caroussel.c 	rendering-desklet-caroussel.h
	rendering-desklet-tree.c 		rendering-desklet-tree.h
	rendering-desklet-simple.c 		rendering-desklet-simple.h
	rendering-desklet-decorations.c rendering-desklet-decorations.h
	rendering-desklet-slide.c 		rendering-desklet-slide.h
	rendering-desklet-viewport.c 		rendering-desklet-viewport.h
	rendering-struct.h
)

add_library(${PACKAGE_DESKLET_RENDERING} SHARED ${cd-desklet-rendering_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${desklet_renderingdatadir}")
add_definitions (-DMY_APPLET_VERSION="${VERSION_DESKLET_RENDERING}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_DESKLET_RENDERING}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="none")
add_definitions (-DMY_APPLET_CONF_FILE="none")
add_definitions (-DMY_APPLET_USER_DATA_DIR="desklet-rendering")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
add_definitions (-DGL_GLEXT_PROTOTYPES="1")

include_directories (
	${PACKAGE_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_DESKLET_RENDERING}
	${PACKAGE_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_DESKLET_RENDERING} DESTINATION ${pluginsdir})


#original Makefile.am contents follow:

# #dnl Process this file with automake to produce Makefile.in
#
#lib_LTLIBRARIES = 
#	libcd-desklet-rendering.la
#
#
#libcd_desklet_rendering_la_SOURCES = 
#	rendering-init.c
#	rendering-init.h
#	rendering-config.c
#	rendering-config.h
#	rendering-desklet-caroussel.c
#	rendering-desklet-caroussel.h
#	rendering-desklet-tree.c
#	rendering-desklet-tree.h
#	rendering-desklet-simple.h
#	rendering-desklet-simple.c
#	rendering-desklet-controler.h
#	rendering-desklet-controler.c
#	rendering-desklet-mediaplayer.c
#	rendering-desklet-mediaplayer.h
#	rendering-desklet-decorations.c
#	rendering-desklet-decorations.h
#	rendering-desklet-slide.c
#	rendering-desklet-slide.h
#	rendering-struct.h
#
#dock_version = `pkg-config --modversion cairo-dock`
#
#libcd_desklet_rendering_la_CFLAGS = 
#	-I$(top_srcdir)/src
#	$(PACKAGE_CFLAGS)
#	$(glitz_cflags) 
#	$(include_glitz)
#	-DMY_APPLET_SHARE_DATA_DIR=""${desklet_renderingdatadir)""
#	-DMY_APPLET_VERSION=""${VERSION_DESKLET_RENDERING)""
#	-DMY_APPLET_GETTEXT_DOMAIN=""${GETTEXT_DESKLET_RENDERING)""
#	-DMY_APPLET_DOCK_VERSION=""${dock_version)""
#	-DMY_APPLET_PREVIEW_FILE=""none""
#	-DMY_APPLET_CONF_FILE=""none""
#	-DMY_APPLET_USER_DATA_DIR=""desklet-rendering""
#	-DMY_APPLET_ICON_FILE=""icon.svg""
#	-DGL_GLEXT_PROTOTYPES=""1""
#	-std=c99
#	-Werror-implicit-function-declaration
##	-Wno-unused-parameter
##	-g -ggdb -W -Wall
#
#
#libcd_desklet_rendering_la_LIBADD = 
#	$(glitz_libs) 
#	$(PACKAGE_LIBS) -lm
#
#
#libcd_desklet_rendering_la_LDFLAGS = 
#	-avoid-version -module

=== gnome-integration/src/CMakeLists.txt ===

########### sources ###############

SET(cd_gnome-integration_LIB_SRCS
	applet-init.c
	applet-init.h
	applet-utils.c
	applet-utils.h
)

add_library(${PACKAGE_GNOME_INTEGRATION} SHARED ${cd_gnome-integration_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${gnome_integrationdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="none")
add_definitions (-DMY_APPLET_CONF_FILE="none")
add_definitions (-DMY_APPLET_USER_DATA_DIR="gnome-integration")
add_definitions (-DMY_APPLET_VERSION="${VERSION_GNOME_INTEGRATION}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="cd_gnome-integration")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.png")

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${GNOME_INTEGRATION_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/gvfs-integration)

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${GNOME_INTEGRATION_LIBRARY_DIRS}
	${CMAKE_SOURCE_DIR}/gvfs-integration)

target_link_libraries (${PACKAGE_GNOME_INTEGRATION}
	${PACKAGE_LIBRARIES}
	${GNOME_INTEGRATION_LIBRARIES}
	gvfs-integration)

########### install files ###############

install(TARGETS ${PACKAGE_GNOME_INTEGRATION} DESTINATION ${pluginsdir})


#original Makefile.am contents follow:

# #dnl Process this file with automake to produce Makefile.in
#
#lib_LTLIBRARIES = 
#	libcd_gnome-integration.la
#
#
#libcd_gnome_integration_la_SOURCES = 
#	applet-init.c
#	applet-init.h
#	applet-gvfs.c
#	applet-gvfs.h
#	applet-utils.c
#	applet-utils.h
#
#
#dock_version = `pkg-config --modversion cairo-dock`
#
#libcd_gnome_integration_la_CFLAGS = 
#	-I$(top_srcdir)/src
#	$(PACKAGE_CFLAGS)
#	$(GNOME_INTEGRATION_CFLAGS)
#	-DMY_APPLET_SHARE_DATA_DIR=""${gnome_integrationdatadir)""
#	-DMY_APPLET_PREVIEW_FILE="none"""
#	-DMY_APPLET_CONF_FILE=""none""
#	-DMY_APPLET_USER_DATA_DIR=""gnome-integration""
#	-DMY_APPLET_VERSION=""${VERSION_GNOME_INTEGRATION)""
#	-DMY_APPLET_GETTEXT_DOMAIN=""cd_gnome-integration""
#	-DMY_APPLET_DOCK_VERSION=""${dock_version)""
#	-DMY_APPLET_ICON_FILE=""icon.png""
#	-std=c99
#	-Werror-implicit-function-declaration
##	-g -ggdb -W -Wall
#
#
#libcd_gnome_integration_la_LIBADD = 
#	$(PACKAGE_LIBS)
#	$(GNOME_INTEGRATION_LIBS)
#	-lm
#
#
#libcd_gnome_integration_la_LDFLAGS =
#	-avoid-version -module

=== keyboard-indicator/data/CMakeLists.txt ===

########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/keyboard-indicator.conf
	preview.jpg
	icon.png
	DESTINATION ${keyboard_indicatordatadir})

=== logout/data/CMakeLists.txt ===

########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/logout.conf
	icon.svg
	icon-scheduling.png
	icon-lock.png
	emblem-reboot.png
	DESTINATION ${logoutdatadir})
